(function($) {
	$(document).on('change', 'input[name="fonts_activated[]"]', function() {

		let ajax_action = ($(this).is(':checked')) ? 'simple_fonts_loader_activate_font' : 'simple_fonts_loader_deactivate_font';

		$.ajax({
			url : adminAjax, // à adapter selon la ressource
			method : 'POST', // GET par défaut
			data : {
				action : ajax_action,
				font : $(this).val()
			},
			error : function( data ) {
				if (ajax_action=='simple_fonts_loader_activate_font') {
					$(this).prop('checked', false);
				} else {
					$(this).prop('checked', true);
				}
			}
		});
	});
})(jQuery);